cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Morten Ludvigsen <mor...@2ps.dk>
Subject Building Cocoon 2.1-dev
Date Mon, 03 Feb 2003 19:38:03 GMT
Hi,

I sent this mail to the list some days ago, and have gotten no reply, so 
I'll try again :-) BTW should this question be asked on the dev-list 
instead?

I must be missing something pretty basic here. I am trying to build 
Cocoon from the current CVS HEAD. However the build process does not get 
very far. Here's the output:

====================================================================
C:\Data\Projects\cocoon\xml-cocoon2>build.bat -Dinclude.webapp.libs=yes 
webapp
Using Java from C:\j2sdk1.4.1
Buildfile: build.xml

init:
      [echo] --------------------------------------------------------------
      [echo]             Apache Cocoon 2.1-dev [1999-2003]
      [echo] --------------------------------------------------------------
      [echo] Building with Apache Ant version 1.6alpha compiled on 
January 1 2003
      [echo] using build file C:\Data\Projects\cocoon\xml-cocoon2\build.xml
      [echo] --------------------------------------------------------------
      [echo]  WARNING:
      [echo]    This build is targeted for use with JVM 1.4
      [echo]
      [echo]    Using this build on a virtual machine other than the one
      [echo]    it is targeted for may result in runtime errors.
      [echo]
      [echo] --------------------------------------------------------------
     [javac] Compiling 2 source files to 
C:\Data\Projects\cocoon\xml-cocoon2\tools\anttasks
====================================================================

After this it does not report an error - it just stops. The directory 
"C:\Data\Projects\cocoon\xml-cocoon2\tools\anttasks" is empty.

A little extra information:
Operating system: Windows 2000 Professional
Java: java version "1.4.1"
       Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1-b21)
       Java HotSpot(TM) Client VM (build 1.4.1-b21, mixed mode)

I have both Tomcat and Jetty installed but I have not included libraries 
from any of them for the build. Could this be the problem?

If anyone can help me I would really appreciate it.

Thanks,

Morten Ludvigsen
2-People Software
Denmark


---------------------------------------------------------------------
Please check that your question  has not already been answered in the
FAQ before posting.     <http://xml.apache.org/cocoon/faq/index.html>

To unsubscribe, e-mail:     <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail:   <cocoon-users-help@xml.apache.org>


Mime
View raw message